#!/usr/bin/python

from client import client
from pprint import pprint

# Mark all "ready" production orders as "done"

c = client()

po_ids_to_produce  = c.search(
      'mrp.production',
      [ ('state', '=',    'ready') ]
      )

for po_id_to_produce in po_ids_to_produce:
    po_rec_to_produce = c.fetch('mrp.production',po_id_to_produce,['name','picking_id'])
    print "Marking as in Production:", po_rec_to_produce['id']
    # Then finally we can produce the Production Order
    c.sock.exec_workflow(
        c.dbname,
        c.user_id,
        c.pwd,
        'mrp.production',
        'button_produce',
        po_id_to_produce)



po_ids_done  = c.search(
      'mrp.production',
      [ ('state', '=',    'in_production') ]
      )

for po_id_done in po_ids_done:
    po_rec_done = c.fetch('mrp.production',po_id_done,['name','picking_id'])
    print "Marking as Done:", po_rec_done['id']
    # Then finally we can produce the Production Order
    c.sock.exec_workflow(
        c.dbname,
        c.user_id,
        c.pwd,
        'mrp.production',
        'button_produce_done',
        po_id_done)

