#!/usr/bin/python

import xmlrpclib
from client import client
from pprint import pprint

# Mark all all incoming packing to be complete

c = client()
wizard_sock = xmlrpclib.ServerProxy(c.rpc_url+'/wizard')

#####################################[ wizard / create ]############
# ('2011-09-02-sandbox', UID, 'PASSWORD', u'mrp.procurement.compute.all')
# 
wizard_key = wizard_sock.create(
    c.dbname,
    c.user_id,
    c.pwd,
    'mrp.procurement.compute.all'
)

#####################################[ wizard / execute ]############
#(
# '2011-09-02-sandbox', UID, 'PASSWORD', 1, 
# {'model': 'ir.ui.menu', 'report_type': 'pdf', 'ids': [287], 'form': {}, 'id': 287}, 
# 'init', 
# {'lang': u'en_CA', 'active_model': 'ir.ui.menu', 'active_ids': [287], 'tz': False, 'active_id': 287}
# )

result = wizard_sock.execute(
    c.dbname,
    c.user_id,
    c.pwd,
    wizard_key,
    {'model': 'ir.ui.menu', 'report_type': 'pdf', 'ids': [287], 'form': {}, 'id': 287},
    'init',
    {'lang': u'en_CA', 'active_model': 'ir.ui.menu', 'active_ids': [287], 'tz': False, 'active_id': 287}
    )

#####################################[ wizard / execute ]############
# (
# '2011-09-02-sandbox', UID, 'PASSWORD', 1, 
# {'model': 'ir.ui.menu', 'report_type': 'pdf', 'ids': [287], 'form': {'automatic': 0}, 'id': 287}, 
# 'compute', 
# {'lang': u'en_CA', 'active_model': 'ir.ui.menu', 'active_ids': [287], 'tz': False, 'active_id': 287})
result = wizard_sock.execute(
    c.dbname,
    c.user_id,
    c.pwd,
    wizard_key,
    {'model': 'ir.ui.menu', 'report_type': 'pdf', 'ids': [287], 'form': {'automatic': 0}, 'id': 287},
    'compute',
    {'lang': u'en_CA', 'active_model': 'ir.ui.menu', 'active_ids': [287], 'tz': False, 'active_id': 287}
    )


