from client import client
from pprint import pprint

c = client()

po_ids_to_cancel  = c.search(
      'mrp.production',
      [ ('state', '=',    'confirmed') ]
      )

for po_id_to_cancel in po_ids_to_cancel:
    po_rec_to_cancel = c.fetch('mrp.production',po_id_to_cancel,['name','picking_id'])
    print "Cancelling:", po_rec_to_cancel['id']

    # First we need to ensure that the Packing List has been cancelled
    picking_id_to_cancel = po_rec_to_cancel['picking_id'][0]
    picking_rec_to_cancel = c.fetch('stock.picking',picking_id_to_cancel,['state'])
    if picking_rec_to_cancel['state'] == 'confirmed': # then we need to cancel the pick
        c.sock.exec_workflow(
            c.dbname,
            c.user_id,
            c.pwd,
            'stock.picking',
            'button_cancel',
            picking_id_to_cancel)

    # Then finally we can cancel the Production Order
    c.sock.exec_workflow(
        c.dbname,
        c.user_id,
        c.pwd,
        'mrp.production',
        'button_cancel',
        po_id_to_cancel)


